Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.luntsys.luntbuild.remoting
Class VssAdaptorFacade

    java.lang.Object
      com.luntsys.luntbuild.remoting.VcsFacade
          com.luntsys.luntbuild.remoting.VssAdaptorFacade

public class VssAdaptorFacade
extends VcsFacade

Constructor Summary
`VssAdaptorFacade()`

Method Summary
`java.lang.String` | `getDateTimeFormat()` Get date time format for vss client in build machine.
`java.lang.String` | `getSsDir()` Get ss.exe path.
`java.lang.String` | `getVcsClassName()` Get the corresponding vcs adaptor class name
`java.lang.String` | `getVssPassword()` Get password to access vss database
`java.lang.String` | `getVssPath()` Get vss database path.
`java.lang.String` | `getVssUser()` Get user name to access vss database
`void` | `setDateTimeFormat(java.lang.String dateTimeFormat)` Set date time format for vss lient in build machine
`void` | `setSsDir(java.lang.String ssDir)` Set ss.exe path
`void` | `setVssPassword(java.lang.String vssPassword)` Set password to access vss database
`void` | `setVssPath(java.lang.String vssPath)` Set vss database path.
`void` | `setVssUser(java.lang.String vssUser)` Set user name to access vss database

Methods inherited from class com.luntsys.luntbuild.remoting.VcsFacade
`getModules`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VssAdaptorFacade

    public VssAdaptorFacade()

Method Detail

### getVssPath

    public java.lang.String getVssPath()

  Get vss database path. This is a project level property.

  Returns:
    vss database path

### setVssPath

    public void setVssPath(java.lang.String vssPath)

  Set vss database path.

  Parameters:
    `vssPath` -

### getVssUser

    public java.lang.String getVssUser()

  Get user name to access vss database

  Returns:
    user name to access vss database

### setVssUser

    public void setVssUser(java.lang.String vssUser)

  Set user name to access vss database

  Parameters:
    `vssUser` -

### getVssPassword

    public java.lang.String getVssPassword()

  Get password to access vss database

  Returns:
    password to access vss database

### setVssPassword

    public void setVssPassword(java.lang.String vssPassword)

  Set password to access vss database

  Parameters:
    `vssPassword` -

### getDateTimeFormat

    public java.lang.String getDateTimeFormat()

  Get date time format for vss client in build machine. This is a project level property

  Returns:
    data time format for vss client in build machine

### setDateTimeFormat

    public void setDateTimeFormat(java.lang.String dateTimeFormat)

  Set date time format for vss client in build machine

  Parameters:
    `dateTimeFormat` -

### getSsDir

    public java.lang.String getSsDir()

  Get ss.exe path. This is a project level property.

  Returns:
    ss.exe path

### setSsDir

    public void setSsDir(java.lang.String ssDir)

  Set ss.exe path

  Parameters:
    `ssDir` -

### getVcsClassName

    public java.lang.String getVcsClassName()

  Description copied from class: `VcsFacade`
  Get the corresponding vcs adaptor class name

  Specified by:
    `getVcsClassName` in class `VcsFacade`
  Returns:
    vcs adaptor class name

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Luntsys Corp. All Rights Reserved.